.out-div{
	margin: 5px 8px;
}
.out-div h3{
	margin-bottom: 10px;
}
/* 按钮开始----------------------------------------------------------------------------------------------------------------- */
.btn-k{
	padding: 3px 10px;
	border-radius: 5px;
	border: 1px solid #ccc;
	background-color: #fff;
	color: #4f4f4f;
	outline: none;
	cursor: pointer;
	transition: all 0.5s;
	font-weight: bold;
}
.btn-k:hover{
	background-color: #3385ff;	
	text-shadow: 1px 1px 1px #666;
	color: #fff;
	box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}

button.btn-k-orange{
	color: #fff;
	background-color: #f37b1d;
}

button.btn-k-green{
	color: #fff;
	background-color: #4CAF50;
}

button.btn-k-red{
	color: #fff;
	background-color: #f66336;
}
button.btn-k-red:hover{
	background-color: #f44336;
}
/* 按钮结束----------------------------------------------------------------------------------------------------------------- */

/* 弹出窗口开始-------------------------------------------------------------------------------------------------------------- */
.pop-out-back{
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(255, 255, 255, 0.5);
	z-index: 99	;
}
.pop-out-back .pop-out-main{
	position: absolute;	
	box-sizing: border-box;
	border-radius: 5px;
	overflow: hidden;
	box-shadow: 0px 0px 4px 2px #999;
}

.pop-out-back .pop-out-head{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	height: 36px;
	line-height: 36px;
	background-color: #3385ff;	
	padding: 0 12px;
	z-index: 1;
	
}
.pop-out-back .pop-out-head .pop-title{
	position: relative;
	margin-right: 36px;	
	color: #fff;
	font-size: 16px;
}

.pop-out-back .pop-out-head .pop-close{
	position: absolute;
	right: 6px;
	top: 6px;
	display: inline-block;
	background-color: #f00;
	width: 24px;
	height: 24px;
	line-height: 24px;
	text-align: center;
	border-radius: 6px;
	font-weight: 700;
	font-size: 16px;
	cursor: pointer;
}

.pop-out-back .pop-out-body{
	position: relative;
	height: 100%;
	background-color: #fff;
	box-sizing: border-box;
	color: #333;
}
.pop-out-back .pop-show-content{
	position: absolute;
	top: 50px;
	left: 8px;
	right: 8px;
	bottom: 60px;

}
.pop-out-back .pop-confirm{
	position: absolute;
	left: 0;
	right: 0;
	margin: 0 auto;
	text-align: center;
	bottom: 30px;
}
.pop-out-back .pop-down-hide{
	position: absolute;
	width: 30px;
	top: 0px;
	left: -9999	px;
}
/* 弹出窗口结束-------------------------------------------------------------------------------------------------------------- */
/* 等候窗口开始-------------------------------------------------------------------------------------------------------------- */
.wait-shadow{
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(200,200,200, 0.1);
	z-index: 999;
}
.wait-shadow .wait-shadow-ratation{
	width: 48px;
	height: 48px;
	border: 5px solid #fff;
	border-top-color: #ff3d00;
	position: absolute;
	top: 50%;
	left: 50%;
	box-shadow: 0 0 2px 2px #eee;
	border-radius: 50%;
	margin-top: -24px;
	margin-left: -24px;
	-webkit-animation: rotation 1s linear infinite;
	animation: rotation 1s linear infinite;
}
@keyframes rotation{
	0%{transform: rotateZ(0deg);}
	100%{transform: rotateZ(360deg);}
}
/* 等候窗口开始-------------------------------------------------------------------------------------------------------------- */

/* 表单元素开始-------------------------------------------------------------------------------------------------------------- */
input[type='text'], input[type='password'], select, textarea{
	padding: 4px 8px;
	border: 1px solid #ccc;
	border-radius: 4px;
	vertical-align: bottom;
	transition: border-color 0.3s ease; /* 平滑过渡效果     */
}
textarea{
	padding: 10px;
	width: 100%;
	height: 100px;
	resize: none;
}
input[type='text']:focus, input[type='password']:focus, textarea:focus{
	border: 1px solid #007bff; 
	box-shadow: 0 0 0 1px #007bff;
}

/*文本搜索框----------------------------------------------------------------------------*/
	.inpt-text-search{
		position: relative;
		display: inline-block;
		width: 150px;
	}
	.inpt-text-search>input[type='text']{
		width: 100%;
	}
	.cstmz-prompt{
		position: absolute;
		border-radius: 3px;
		overflow: hidden;
		background-color: #fff;
		box-shadow: 0 0 2px 2px #e1e1e1;
		left: 0px;
	}

	.cstmz-prompt .cstmz-prompt-list-item, .cstmz-prompt .cstmz-prompt-null{	
		height: 24px;
		line-height: 24px;
		padding-left: 12px;	
		font-size: 14px;
		overflow: hidden;
	}

	.cstmz-prompt .cstmz-prompt-list-active{	
		background-color: #3385ff;
	}
	.cstmz-prompt .cstmz-prompt-null{
		color: #EC605B;
	}
	.cstmz-prompt .cstmz-prompt-total{
		border-top: 1px solid #56b4d4;
		height: 24px;
		line-height: 24px;
		font-size: 12px;
		padding-left: 12px;
	}
	.cstmz-prompt .cstmz-prompt-total span{
		color: #127beb;
		margin: 0 8px;
	}
	.inpt-text-search-error{
		position: absolute;
		border-radius: 4px;
		display: inline-block;
		padding: 0 6px;
		height: 22px;
		line-height: 22px;
		font-size: 12px;
		background-color: #ffcfcd;
		color: #555;
		cursor: default;
		z-index: 999;
	}
/*文本搜索框----------------------------------------------------------------------------*/

/* 表单元素结束-------------------------------------------------------------------------------------------------------------- */
/* 文本提示------------------------------------------------------------------------------------------------------------------ */
.text-message{
	position: fixed;
	border-radius: 4px;
	display: inline-block;
	padding: 10px 20px;
	text-align: center;
	font-size: 14px;
	background-color: #ffcfcd;
	color: #484848;
	cursor: default;
	font-weight: bold;
}
/* 文本提示------------------------------------------------------------------------------------------------------------------ */


/* 日期选择器开始------------------------------------------------------------------------------------------------------------- */
div.date-picker {
  position: absolute;
  background-color: #fff;
  padding: 10px;
  border: 1px solid #ccc;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
  border-radius: 4px;
  z-index: 999;
  font-size: 14px;
}
div.date-picker .year-month>div{
	display: inline-block;
	width: 50%;
	text-align: center;
}
div.date-picker .year-month>div>span{
	margin: 0 8px;
	cursor: pointer;
	color: #ccc;
	user-select: none; 		/* 标准属性 */
	-webkit-user-select: none; 	/* Safari */
	-moz-user-select: none; 	/* 老版Firefox */
	-ms-user-select: none; 		/* IE10+ */
}
div.date-picker .year-month>div>span:hover{
	color: #333;
}
div.date-picker .year-month>div .date-picker-month{
	display: inline-block;
	width: 16px;
}

div.date-picker table{
	font-size: 11px;
	text-align: center;
	color: #888;
}
div.date-picker table tr td{	
	width: 30px;	
	height: 26px;
	line-height: 24px;
}

div.date-picker table tbody tr td.active{
	box-shadow: 0 0 4px 0 #5555ff;
	border-radius: 4px;
}

div.date-picker table tbody tr td:hover{	
	background-color: #ddd;
	border: 1px solid #666;
	border-radius: 4px;
	cursor: pointer;
}

div.date-picker table tr td:nth-child(6), div.date-picker table tr td:last-child{
	color: #DB5656;	
}
div.date-picker .date-picker-month-day{
	color: #333;
	font-weight: 700;
}

div.date-picker .date-picker-btn, div.date-picker .date-picker-insert{
	display: inline-block;
	height: 22px;
	line-height: 20px;
	width: 40px;
	text-align: center;
	border-radius: 4px;
	border: 1px solid #fff;
	box-shadow: 0 0 3px 0 #ccc;
	font-size: 12px;
}
div.date-picker .date-picker-btn:hover, div.date-picker .date-picker-insert:hover{
	cursor: pointer;
	background-color: #ddd;
	border: 1px solid #9cd2eb;
}
div.date-picker .date-picker-insert{
	width: 24px;
	font-weight: bold;
}

div.date-picker .date-picker-val{
	display: none;
}
/* 日期选择器结束------------------------------------------------------------------------------------------------------------- */